function FormatFigure(width,height)
%do followings before using this function: name xlabel as x, name ylabel as y, name legend as leg, name title as t, name plots as p1,p2,...
legend_location='best';
% width=5.25; height=2.75; %start point for figure dimensions
% color1=[0.839, 0.153, 0.157];
% color2=[37,52,148]./255; color3=[0, 0, 0]; color4=[0, 0, 0];
set(gca,'fontsize',10,'linewidth',1.25,'FontName','Arial','TickLength',[0.01 0]);     % 'FontWeight','Bold'
if(exist('x'))
    set(x,'FontSize',10,'FontWeight','Bold');
end
if(exist('y'))
    set(y,'FontSize',10,'FontWeight','Bold');
end
if(exist('leg'))
    set(leg,'FontSize',10,'Location',legend_location);
    legend boxoff
end
if(exist('t'))
    set(t,'FontSize',10);
end
% if(exist('p1'))
%     set(p1,'color',color1,'linewidth',2);
% end
% if(exist('2'))
%     set(p2,'color',color2,'linewidth',2);
% end
% if(exist('3'))
%     set(p3,'color',color3,'linewidth',2);
% end
% if(exist('4'))
%     set(p4,'color',color4,'linewidth',2);
% end
set(gcf, 'Units', 'Inches', 'Position', [3, 3, width, height], 'PaperUnits', 'Inches', 'PaperSize', [width, height])
% print(gcf,'fig.png','-dpng','-r300');
end